<template>
    <div class="w-screen h-screen bg-dark text-white overflow-y-scroll fixed">
        <div
            class="mx-auto text-center py-6 cursor-pointer"
            @click="$router.push({name: 'user.auth.login'})"
        >
            <img
                :src="'/img/logo.png'"
                class="h-24 mx-auto text-center"
            >
        </div>
        <div
            class="text-center font-bold capitalize text-2xl"
        >
            {{ $t('login_to_your_account') }}
        </div>
        <div
            class="px-4 py-2"
        >
            <auto-form
                ref="form"
                :fields="fields"
                :dark="true"
                size="lg"
            />
            <div
                class="my-12"
            >
                <div class="mb-3 ml-1">
                    <a
                        href="javascript:"
                        class="underline text-white capitalize text-sm"
                        @click="$router.push({name: 'user.auth.forget_password'})"
                    >
                        {{ $t('forget_password_click_here') }}
                    </a>
                </div>
                <auto-button
                    class="text-2xl tracking-wider"
                    :busy="form && form.busy ? form.busy : false"
                    :disabled="form && form.busy ? form.busy : false"
                    @click="submitLogin"
                >
                    {{ $t('login') }}
                </auto-button>
            </div>
        </div>
    </div>
</template>

<script setup>
import {inject, ref} from "vue";
import {useRouter} from 'vue-router';
import AutoForm from '~/components/auto-form.vue';
import {useI18n} from "vue-i18n";
import {useUserStore} from "~/stores/user.js";
import {useLocaleStore} from "~/stores/locale.js";
import AutoButton from "~/components/button/auto-button.vue";

const $router = useRouter();
const $helper = inject('$helper');

const $userStore = useUserStore();
const $localeStore = useLocaleStore();

const {t} = useI18n();
const form = ref();
const fields = [
    {type: 'text', name: 'username', label: t('username'), placeholder: t('username'), dark: true, size: 'lg'},
    {type: 'password', name: 'password', label: t('password'), placeholder: t('password'), dark: true, size: 'lg'},
];

const submitLogin = async () => {
    try {
        const resp = await form.value.submitForm('/login');
        await $helper.alertSuccess({
            message: resp.message,
            callback: async () => {
                await $userStore.loginAccount(resp.token);
                await $router.push({name: 'user.home'});
            }
        });
    } catch (e) {
        console.log(e);
    }
}

const changeLocale = async (lang) => {
    await $localeStore.updateLocale(lang.locale);
}
</script>
